Passer au contenu
AchaduDevelopers
API opérationnelleAller sur le site Web
Tableau de bord
Developers/API/message_reply
Boîte de réception

Préparer la réponse

Enregistre une réponse de sortie à transmettre par le connecteur de canal.

POST/inbox/conversations/{id}/replyinbox:write

Demande

idstring · pathIdentificateur de ressource.obligatoire
contentstring · bodyContenu de la réponse.obligatoire
typestring · bodyType de message.facultatif
media_urlstring · bodyMédia en option.facultatif
offer_idstring · bodyOffre contextuelle.facultatif
use_duboolean · bodyMark DU comme auteur.facultatif

Exemple

curl
curl -X POST 'https://achadu.com/api/v1/inbox/conversations/resource_id/reply' \
+  -H 'Authorization: Bearer ach_live_...' \
+  -H 'Accept: application/json' \
+  -H 'Content-Type: application/json' \
+  --data '{
  "content": "I found a deal for you.",
  "type": "string",
  "media_url": "https://cdn.example.com/image.jpg",
  "offer_id": "string"
}'

Réponse

200Opération terminée
4xxErreur avec le code, le message et request_id